#include <bits/stdc++.h>


using namespace std;
void pairsort(long double a[], long double b[], long long unsigned int n)
{
    pair<long  double,long double> pairt[n];
    
  
    for (auto i = 0; i < n; i++)
    {
        pairt[i].first = b[i];
        pairt[i].second = a[i];
    }
  
    sort(pairt, pairt + n);
    
    for (auto i = 0; i < n; i++)
    {
        a[i] = pairt[i].second;
        b[i] = pairt[i].first;
    }
}
int main(int argc, const char * argv[]) {
    long long unsigned int N;
    cin>>N;
    long double A[N];
    long  double P[N];
    for (auto i = 0; i < N; i ++)
    {
        cin>>A[i]>>P[i];
        
    }
    pairsort(A, P, N);
    long long unsigned int  j;
    long double Zarada[N],max=0;
    for (auto i = 0; i < N; i ++)
    {
        Zarada[i]=0.00000000;
       P[i]=P[i]*0.01;
        
    }
    for (auto i = 0; i < N; i ++)
    {
        j=i;
        while(j!=N)
        {
            Zarada[i]=Zarada[i]+A[j];
            j++;
        }
      
        Zarada[i]=Zarada[i]*P[i];
        
    }
    for (auto i =0;i < N; i ++)
    {
        //cout<<Zarada[i]<<endl;
        if (Zarada[i]>max)
        {
            max=Zarada[i];
        
        }
    }
    cout.precision(15);
    cout<<max;
    
    
    return 0;
}